### Method

# Xdp Session selection_read

#### Declaration [src]

    int
    xdp_session_selection_read (
      XdpSession* session,
      const char* mime_type
    )

#### Description [src]

Request to read the contents of the current clipboard selection in the passed mime type format. On success a file descriptor is returned, which can be read from to retrieve the clipboard selection content.

#### Parameters

`mime_type`

  Type: `const char*`

  A string containing the requested mime type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

A file descriptor, or -1 on error. The caller must close the file descriptor when finished with it.